---
title: "POST Run checks for a connection"
description: "Run checks for a connection"
last_updated: "2026-05-06T07:33:47.32064+00:00"
canonical_url: "https://www.doc0.dev/docs/49c89830-117b-4def-8edc-b5bcc50766e0/api/endpoints/runconnectionchecks"
---

<APIEndpoint
  method={"POST"}
  path={"/integrations/checks/connections/:connectionId/run"}
  summary={"Run checks for a connection"}
  description={"Run checks for a connection"}
  deprecated={false}
  baseUrl={""}
/>

## Parameters

<APIParameters parameters={[{"name":"connectionId","in":"path","required":true,"description":"The ID of the connection","schema":{"type":"string"}}]} />

## Request Body

Request body to specify check to run

<APIRequestBody
  contentType={"application/json"}
  required={true}
  schema={{"type":"object"}}
/>

## Responses

<APIResponse
  statusCode={"201"}
  description={"Checks started successfully for the connection"}
  contentType={"application/json"}
  schema={{"type":"object"}}
/>

## Try It

<APIPlayground
  method={"POST"}
  path={"/integrations/checks/connections/:connectionId/run"}
  parameters={[{"name":"connectionId","in":"path","required":true,"description":"The ID of the connection","schema":{"type":"string"}}]}
  requestBody={{"contentType":"application/json","required":true,"description":"Request body to specify check to run","schema":{"type":"object"}}}
  baseUrl={""}
/>


## Sitemap

See the full [sitemap](https://www.doc0.dev/docs/49c89830-117b-4def-8edc-b5bcc50766e0/llms.txt) for all pages in this wiki.
